#@TYPE: Machine
#@NAME: generic armv8 machine
#@DESCRIPTION: Machine configuration for running a generic armv8

require conf/machine/include/arm/armv8a/tune-cortexa57.inc

MACHINE_FEATURES += " secure-boot"

# TF-A
TFA_PLATFORM = "imx8mp"
EXTRA_IMAGEDEPENDS += "trusted-firmware-a"

# u-boot
EXTRA_IMAGEDEPENDS += "u-boot"
UBOOT_CONFIG ??= "EFI"
UBOOT_CONFIG[EFI] = "verdin-imx8mp_defconfig"
UBOOT_ARCH = "arm"
UBOOT_EXTLINUX = "0"

SERIAL_CONSOLES ?= "115200;ttymxc2"
SERIAL_CONSOLES_CHECK = "${SERIAL_CONSOLES}"

PREFERRED_PROVIDER_virtual/kernel = 'linux-dummy'

# Set DDR FIRMWARE
LPDDR_FW_VERSION = "_202006"
DDR_FIRMWARE_NAME = " \
    lpddr4_pmu_train_1d_dmem${LPDDR_FW_VERSION}.bin \
    lpddr4_pmu_train_1d_imem${LPDDR_FW_VERSION}.bin \
    lpddr4_pmu_train_2d_dmem${LPDDR_FW_VERSION}.bin \
    lpddr4_pmu_train_2d_imem${LPDDR_FW_VERSION}.bin \
"
